%define name pymol
%define version 0.82
%define release 2mdk 


%define pythonver 2.2

Summary: PyMOL Molecular Graphics System
Name: %name
Version: %version
Release: %release
License: Python
Group: Sciences/Chemistry
URL: http://www.pymol.org
Source0: %name-%version.tar.bz2
Source1: Rules.make.bz2
Source2: %name.com.bz2
BuildRoot: %_tmppath/%name-root
Requires: python python-numeric tcl tk
BuildRequires: python-devel python-numeric-devel tcl tk libpng-devel libMesaGLU-devel libMesaglut-devel

%description
PyMOL is a molecular graphics system with an embedded Python interpreter 
designed for real-time visualization and rapid generation of high-quality 
molecular graphics images and animations. It is fully extensible and 
available free to everyone via the "Python" license. Although a newcomer 
to the field, PyMOL can already be used to generate stunning images and 
animations with unprecedented ease. It can also perform many other 
valuable tasks (such as editing PDB files) to assist you in your research.

%prep
%setup -q
bzcat %{SOURCE1} > Rules.make

%build
#<austin> -j2 fails </austin>
make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/%_libdir/python%pythonver/site-packages/%name
cp -dprv modules ${RPM_BUILD_ROOT}/%_libdir/python%pythonver/site-packages/%name
cp -dprv test ${RPM_BUILD_ROOT}/%_libdir/python%pythonver/site-packages/%name
cp -dprv examples ${RPM_BUILD_ROOT}/%_libdir/python%pythonver/site-packages/%name
mkdir -p ${RPM_BUILD_ROOT}/%_bindir
bzcat %{SOURCE2} > ${RPM_BUILD_ROOT}/%_bindir/%name
chmod ugo+x ${RPM_BUILD_ROOT}/%_bindir/%name

# menu
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="pymol"\
needs="x11"\
section="Applications/Sciences/Chemistry"\
title="PyMol"\
icon="chemistry_section.png"\
longtitle="Python controlled molecular graphics"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr (-,root,root)
%doc CHANGES CHECKLIST DEVELOPERS LICENSE README
%_libdir/python%pythonver/site-packages/%name
%_bindir/%name
%_menudir/%name

%changelog
* Sun Feb 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.82-2mdk
- rebuild

* Thu Dec 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.82-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- initial build
